aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/autogen.sh
diff options
context:
space:
mode:
authorWerner Koch <[email protected]>1998-10-21 17:34:36 +0000
committerWerner Koch <[email protected]>1998-10-21 17:34:36 +0000
commite309a875cb938dff76983d00552ebcc08a5e90c1 (patch)
treea10cbf247317e67fcb623d7c10dfa4b4c58edbfd /scripts/autogen.sh
parentSnapshot release 0.4.2 (diff)
downloadgnupg-e309a875cb938dff76983d00552ebcc08a5e90c1.tar.gz
gnupg-e309a875cb938dff76983d00552ebcc08a5e90c1.zip
Epxerimenta support for GDBM keyings.
Diffstat (limited to '')
-rwxr-xr-xscripts/autogen.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/scripts/autogen.sh b/scripts/autogen.sh
index 17905a132..cba5adcc1 100755
--- a/scripts/autogen.sh
+++ b/scripts/autogen.sh
@@ -9,19 +9,25 @@ if (autoconf --version) < /dev/null > /dev/null 2>&1 ; then
else
echo
echo "**Error**: You must have "\`autoconf\'" installed to compile $PGM."
- echo ' (version 2.10 or newer is required'
+ echo ' (version 2.10 or newer is required)'
DIE="yes"
fi
if (automake --version) < /dev/null > /dev/null 2>&1 ; then
if (aclocal --version) < /dev/null > /dev/null 2>&1; then
- :
+ if (aclocal --version | awk 'NR==1 { if( $4 >= 1.3 ) exit 1; exit 0; }');
+ then
+ echo "**Error**: "\`aclocal\'" is too old."
+ echo ' (version 1.3 or newer is required)'
+ DIE="yes"
+ fi
else
echo
echo "**Error**: Missing "\`aclocal\'". The version of "\`automake\'
echo " installed doesn't appear recent enough."
DIE="yes"
fi
+
else
echo
echo "**Error**: You must have "\`automake\'" installed to compile $PGM."
@@ -40,3 +46,5 @@ automake --gnu;
autoheader
autoconf
+echo "Ready to run ./configure"
+